Bug 1420250 (CVE-2014-9914) - CVE-2014-9914 kernel: Race condition in the ip4_datagram_release_cb function
Summary: CVE-2014-9914 kernel: Race condition in the ip4_datagram_release_cb function
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2014-9914
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1431936
Blocks: 1420251
TreeView+ depends on / blocked
 
Reported: 2017-02-08 09:47 UTC by Andrej Nemec
Modified: 2021-02-17 02:37 UTC (History)
30 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A race condition in the ip4_datagram_release_cb function in net/ipv4/datagram.c in the Linux kernel allows local users to gain privileges or cause a denial of service (use-after-free) by leveraging incorrect expectations about locking during multithreaded access to internal data structures for IPv4 UDP sockets.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:07:15 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-02-08 09:47:55 UTC
Race condition in the ip4_datagram_release_cb function in net/ipv4/datagram.c in the Linux kernel allows local users to gain privileges or cause a denial of service (use-after-free) by leveraging incorrect expectations about locking during multithreaded access to internal data structures for IPv4 UDP sockets.

Upstream patch:

https://github.com/torvalds/linux/commit/9709674e68646cee5a24e3000b3558d25412203a

Comment 1 Wade Mealing 2017-03-14 05:03:44 UTC
Statement:

This issue does not affect the Linux kernels as shipped with Red Hat Enterprise Linux and realtime kernels.


Note You need to log in before you can comment on or make changes to this bug.